<div class="solusvm2-welcome-wrapper">
    <ul>
        {foreach $steps as $step}
            <li class="{if $step.complete}completed{/if}">
                <span>
                    {if $step.complete}
                        <i class="fas fa-check"></i>
                    {else}
                        {$step.step}
                    {/if}
                </span>
                {$step.label}
            </li>
        {/foreach}
    </ul>
    <div class="content">
        <form method="post" action="{$urls.formAction}">
            <input type="hidden" name="key" value="{$key}">
            <input type="hidden" name="verify" value="{$verifyToken}">
            {if $currentStep == 1}
                <h2>{$LANG.solusvm2add_confirm_email}</h2>
                {if $successFeedback}
                    <div class="alert alert-success">{$successFeedback}</div>
                {/if}
                {if $errorFeedback}
                    <div class="alert alert-danger">{$errorFeedback}</div>
                {/if}
                <p>{$LANG.solusvm2add_click_email} {$enrolment->email}</p>
                <p><strong>{$LANG.solusvm2add_not_received_email}</strong></p>
                <button type="submit" name="resendverify" value="1" class="btn btn-success btn-block">
                    {$LANG.solusvm2add_resend_email}
                </button>
            {elseif $currentStep == 2}
                <h2>{$LANG.solusvm2add_accept_terms}</h2>
                <br>
                {if $errorFeedback}
                    <div class="alert alert-danger">{$errorFeedback}</div>
                {/if}
                <p>{$LANG.solusvm2add_agree_terms} <a href="{$urls.primaryTermsOfService}" target="_blank">{$LANG.solusvm2add_terms}</a>.</p>
                {if $urls.postPayTermsOfService}
                    <p>{$LANG.solusvm2add_agree_post_terms} <a href="{$urls.postPayTermsOfService}" target="_blank">{$LANG.solusvm2add_post_terms}</a>.</p>
                {/if}
                <br>
                <button type="submit" name="agreetos" value="1" class="btn btn-success btn-block">
                    {$LANG.solusvm2add_agree}
                </button>
            {elseif $currentStep == 3}
                <h2>{$LANG.solusvm2add_get_started}</h2>
                {$LANG.solusvm2add_greetings}
                <p>{$LANG.solusvm2add_thank_you} {$companyname}!</p>
                <a href="{$urls.login}" target="_blank" class="btn btn-primary btn-block">
                    {$LANG.solusvm2add_client_login}
                </a>
            {/if}
        </form>
    </div>
</div>

<style>
.solusvm2-welcome-wrapper {
    margin: 50px auto;
    padding: 0;
    background-color: #f6f6f6;
    border-radius: 6px;
    max-width: 1000px;
}
.solusvm2-welcome-wrapper ul {
    float: left;
    margin: 20px;
    width: 285px;
    padding: 0;
    list-style: none;
}
.solusvm2-welcome-wrapper ul li {
    padding: 5px 3px;
    font-size: 1.1em;
}
.solusvm2-welcome-wrapper ul li.completed {
    color: #2eab2e;
}
.solusvm2-welcome-wrapper ul span {
    display: inline-block;
    margin: 0 10px 0 0;
    padding: 5px;
    border: 1px solid #ddd;
    border-radius: 50%;
    width: 40px;
    text-align: center;
    font-size: 1.4em;
}
.solusvm2-welcome-wrapper ul li.completed span {
    border-color: #2eab2e;
    background-color: #fff;
}
.solusvm2-welcome-wrapper .content {
    padding: 20px 35px;
    margin-left: 325px;
    min-height: 350px;
    border-left: 1px solid #ddd;
}
</style>
