<?php
// Copyright 1999-2024. WebPros International GmbH. All rights reserved.

namespace WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources\Traits;

use WHMCS\Module\Server\SolusVm2Vps\Helpers\Arr;

/**
 * Trait ListRequest
 * @package WHMCS\Module\Server\SolusVm2Vps\SolusAPI\Resources\Traits
 */
trait ListRequest
{
    public function list(array $filters = []): array
    {
        $currentPage = 1;
        $results = [];

        $query = [];

        foreach ($filters as $filterName => $filterValue) {
            $query["filter[$filterName]"] = is_array($filterValue) ? implode(',', $filterValue) : $filterValue;
        }

        do {
            $query = array_merge($query, [
                'page' => $currentPage,
            ]);

            $response = $this->processResponse($this->connector->get(
                sprintf('%s?%s', self::ENTITY, http_build_query($query))
            ));
            $lastPage = (int) Arr::get(
                $response,
                'meta',
                ['last_page' => $currentPage]
            )['last_page'];

            $results = array_merge($results, Arr::get($response, 'data', []));
            $currentPage++;
        } while ($currentPage <= $lastPage);

        return $results;
    }
}
